#cs ---------------------------------------------------------------------------
	AutoIt Verzija: 3.3.16.1
	Autor:             Dragan Blagojevic
			              02.10.2022.god.
	
	Funnkcija skripta: Vidi dokument Coba_sifra_4_Flow.pdf od ranije.
	                          Preuzima parametar iz komandne linije i od njega
							  pravi "hibridnu" sifru duzine 4 znaka sa vod. 0.
	
	Pozivanje:           cs4 10000 iz komandne linije
							  RunShell("10000", "sc4.exe") iz Aljaske (prov.)!
	
	Vraca:                Hibridnu sifru i ExitCode = 0 ako je poziv uspesan.
	                         ExitCode = 1 ako je poziv bez parametra.
							 0 i ExitCode = 0 ako se prosledi string kao param.
							 
	Napomena:        Ne proverava da li je parametar <= 65535 (FFFF).
	 
#ce ---------------------------------------------------------------------------

; Kompajlirati kao konzolnu aplikaciju
#pragma compile(Console, True)


; Pocetak skripta

; Inicijalizacija promenljivih
Local $CMD_LINE_PAR = 0 ; Number
Local $RESULT = ""            ; String

; Ucitavanje parametra komande linije i pozivanje funkcije
; Ukupan broj elemenata u nizu parametara komandne linije

  IF $CmdLine[0] > 0 Then
	  ; Prvi parametar komandne linije
	  $CMD_LINE_PAR = Number($CmdLine[1]) 
	  If IsNumber($CMD_LINE_PAR) = 1 Then
	      $RESULT = Convert($CMD_LINE_PAR)
	      ConsoleWrite($RESULT)
	  Else
	      Exit(1)
	  EndIf
  Else
     Exit(1)
EndIf

; Funkcija
Func Convert($NSIFRA)
   $NSIFRA_ZA_BAZU = 0  ; Number
   $SSIFRA_ZA_BAZU = "" ; String
 
    If $NSIFRA > 9999 Then
		$NSIFRA_ZA_BAZU = $NSIFRA + 30960
		$SSIFRA_ZA_BAZU = HEX($NSIFRA_ZA_BAZU, 4)
		Return $SSIFRA_ZA_BAZU
    Else
		$SSIFRA_ZA_BAZU = StringFormat("%04s", $NSIFRA)		
	    Return $SSIFRA_ZA_BAZU
   EndIf
EndFunc